# Constant Field Values

## Contents

- org.eclipse.*

## org.eclipse.*

org.eclipse.gef.layout.LayoutContext
Modifier and Type
Constant Field
Value
`public static final String`
`LAYOUT_ALGORITHM_PROPERTY`
`"layoutAlgorithm"`
org.eclipse.gef.layout.LayoutProperties
Modifier and Type
Constant Field
Value
`public static final String`
`ASPECT_RATIO_PROPERTY`
`"layout_aspect-ratio"`
`public static final String`
`BOUNDS_PROPERTY`
`"layout_bounds"`
`public static final int`
`DIRECTION_BOTTOM_UP`
`2`
`public static final int`
`DIRECTION_LEFT_RIGHT`
`3`
`public static final String`
`DIRECTION_PROPERTY`
`"layout_direction"`
`public static final int`
`DIRECTION_RIGHT_LEFT`
`4`
`public static final int`
`DIRECTION_TOP_DOWN`
`1`
`public static final String`
`LOCATION_PROPERTY`
`"layout_location"`
`public static final String`
`MOVABLE_PROPERTY`
`"layout_movable"`
`public static final String`
`RESIZABLE_PROPERTY`
`"layout_resizable"`
`public static final String`
`SIZE_PROPERTY`
`"layout_size"`
`public static final String`
`WEIGHT_PROPERTY`
`"layout_weight"`

org.eclipse.gef.layout.algorithms.BoxLayoutAlgorithm
Modifier and Type
Constant Field
Value
`public static final int`
`HORIZONTAL`
`1`
`public static final int`
`VERTICAL`
`2`
org.eclipse.gef.layout.algorithms.SpaceTreeLayoutAlgorithm
Modifier and Type
Constant Field
Value
`public static final int`
`BOTTOM_UP`
`2`
`public static final int`
`LEFT_RIGHT`
`3`
`public static final int`
`RIGHT_LEFT`
`4`
`public static final int`
`TOP_DOWN`
`1`
org.eclipse.gef.layout.algorithms.TreeLayoutAlgorithm
Modifier and Type
Constant Field
Value
`public static final int`
`BOTTOM_UP`
`2`
`public static final int`
`LEFT_RIGHT`
`3`
`public static final int`
`RIGHT_LEFT`
`4`
`public static final int`
`TOP_DOWN`
`1`